/**   
 * License Agreement for OpenSearchServer
 *
 * Copyright (C) 2012-2013 Emmanuel Keller / Jaeksoft
 * 
 * http://www.open-search-server.com
 * 
 * This file is part of OpenSearchServer.
 *
 * OpenSearchServer is free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 * OpenSearchServer is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with OpenSearchServer. 
 *  If not, see <http://www.gnu.org/licenses/>.
 **/

package com.jaeksoft.searchlib.result.collector;

import java.io.IOException;

import org.apache.lucene.index.IndexReader;
import org.apache.lucene.search.Collector;
import org.apache.lucene.search.Scorer;

public abstract class AbstractCollector extends Collector {

	private int currentDocBase = 0;
	protected Scorer scorer = null;

	@Override
	final public boolean acceptsDocsOutOfOrder() {
		return true;
	}

	@Override
	final public void setNextReader(IndexReader reader, int docBase)
			throws IOException {
		currentDocBase = docBase;
	}

	@Override
	final public void collect(final int doc) throws IOException {
		collectDoc(doc + currentDocBase);
	}

	protected abstract void collectDoc(final int doc) throws IOException;

	@Override
	final public void setScorer(Scorer scorer) throws IOException {
		this.scorer = scorer;
	}

}
